<label [class.cui-toggle-left]="align === 'left'"
       [class.cui-toggle-right]="align === 'right'"
       [class.cui-toggle-right-spread]="align === 'right-spread'"
       [class.cui-toggle-left-spread]="align === 'left-spread'"
       (click)="clickFocused()">
  <span class="cui-toggle-box"></span>
  <input type="checkbox" class="cui-visually-hidden"
    [id]="inputId"
    [required]="required"
    [checked]="checked"
    [attr.value]="value || null"
    [disabled]="disabled"
    [attr.name]="name || null"
    [tabIndex]="tabIndex"
    [attr.aria-label]="ariaLabel || null"
    [attr.aria-labelledby]="ariaLabelledby"
    [attr.aria-checked]="checked ? 'true' : 'false'"
    [attr.aria-describedby]="ariaDescribedby"
    (change)="changed($event)"
    (click)="clicked($event)">
  <span class="cui-toggle-label" [class.cui-toggle-labeled]="label.textContent?.trim()" #label>
    <ng-content></ng-content>
  </span>
</label>
